"""
This script actually runs the model.
"""

# import all stuff from sia_model.py
from sia_model import *

def run_model(input_file):
    """
    Initialises, runs and saves the SIA_model.

    @type input_file: string
    @param input_file: the file name of the input file.
    """
    # check svn version
    
    # make an instance of the SIA_model class (initialisation is done
    # automatically)
    sia_inst = SIA_model(input_file)

    # run it
    sia_inst.run_model()

    # store it to the file system
    sia_inst.write_netCDF()

    # Done!

